# PASDy.Files

# Formatting
#
### Path trailing / 
def trailingslash(p):
    import os
    # add / to folder
    if os.path.isdir(p):
        return(os.path.join(p, ''))
    # remove / from file
    elif os.path.isfile(p):
        return(p.rstrip('\\').rstrip('/'))
    else:
        return(p)


## Output
##
### Print newly created file name and size
###
def file_save_msg(file, name='File', end=''):
    import os
    size = os.stat(file).st_size
    if   size < 1024:    sizestr = "%.0f Bytes" % (size)
    elif size < 1024**2: sizestr = "%.0f KB"    % (size/1024)
    else:                sizestr = "%.1f MB"    % (size/1024/1024)
    print("%s saved to %s (%s)" % (name, file, sizestr), end=end)
    

